Subject: Re: [PATCH] doc: fix 'git status --help' character quoting

From: Junio C Hamano <[email-masked]>
Date: Sun, 19 Oct 2014 15:26:00 -0700

Philip Oakley <[email-masked]> writes:

> Correct backtick quoting for some of the modification states to give
> consistent web rendering.

This is to match the way how "XY PATH1 -> PATH2" is typeset, I
presume.  Some in the body text are already `XY` to match, but some
others are not, and you are fixing them, all of which look good.

> While at it, use 00 for ASCII NUL to avoid any confusion with the letter O.

I do not think this is particularly a good change.  We try to follow
the convention of spelling ASCII value in decimal (e.g. "ASCII
double quote (34)"), and "00" is not the way how you usually spell a
number in decimal.  Existing description is perfectly fine; there is
no risk for anybody to mistake "O" (oh) as part of digits, whether
you use decimal or hexadecimal.

If you have an aversion to mentioning ASCII when clarifying which
character we talk about, you could of course do s/ASCII 0/'\0'/ but
I do not know if that is an improvement.

Thanks.

>
> Signed-off-by: Philip Oakley <[email-masked]>
> ---
>
> Noticed when reviewing a stackoverflow problem where the OP actually
> desired to just list those files with merge indicators present.
> ---
>  Documentation/git-status.txt | 6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)
>
> diff --git a/Documentation/git-status.txt b/Documentation/git-status.txt
> index def635f..1c01d3ac 100644
> --- a/Documentation/git-status.txt
> +++ b/Documentation/git-status.txt
> @@ -116,7 +116,7 @@ In the short-format, the status of each path is shown as
>  
>  where `PATH1` is the path in the `HEAD`, and the " `-> PATH2`" part is
>  shown only when `PATH1` corresponds to a different path in the
> -index/worktree (i.e. the file is renamed). The 'XY' is a two-letter
> +index/worktree (i.e. the file is renamed). The `XY` is a two-letter
>  status code.
>  
>  The fields (including the `->`) are separated from each other by a
> @@ -125,7 +125,7 @@ characters, that field will be quoted in the manner of a C string
>  literal: surrounded by ASCII double quote (34) characters, and with
>  interior special characters backslash-escaped.
>  
> -For paths with merge conflicts, `X` and 'Y' show the modification
> +For paths with merge conflicts, `X` and `Y` show the modification
>  states of each side of the merge. For paths that do not have merge
>  conflicts, `X` shows the status of the index, and `Y` shows the status
>  of the work tree.  For untracked paths, `XY` are `??`.  Other status
> @@ -189,7 +189,7 @@ There is also an alternate -z format recommended for machine parsing. In
>  that format, the status field is the same, but some other things
>  change.  First, the '\->' is omitted from rename entries and the field
>  order is reversed (e.g 'from \-> to' becomes 'to from'). Second, a NUL
> -(ASCII 0) follows each filename, replacing space as a field separator
> +(ASCII 00) follows each filename, replacing space as a field separator
>  and the terminating newline (but a space still separates the status
>  field from the first filename).  Third, filenames containing special
>  characters are not specially formatted; no quoting or